HRIS Organizations

The HrisOrganization Object

Properties

idstring

The Rutter generated unique ID of the HRIS organization.

platform_idstring

The platform specific ID of the HRIS organization.

tax_idstringnullable

The tax identifier of the organization.

namestring

The name of the organization.

contact_emailstringnullable

The business contact email of the organization.

contact_phonestringnullable

The primary contact number of the organization.

custom_fieldsobjectOptional

Custom fields on the organization. Note: for field type 'select', please use the values from options presented through 'GET /accounting/organizations/custom_fields' endpoint. For field type 'boolean', please pass in a boolean value.

industrystringnullable

The industry sector of the organization.

legal_namestringnullable

The legal name of the organization.

logo_urlstringnullable

The URL of logo for the organization.

number_of_employeesnumbernullable

The employee count of the organization.

websitestringnullable

The company website of the organization.

addressobjectnullable

The registered address of the organization

Show address attributes
created_atstringnullable

The ISO 8601 timestamp that the HRIS organization was created.

updated_atstringnullable

The ISO 8601 timestamp that the HRIS organization was last updated.

last_synced_atstring

The ISO 8601 timestamp when the HRIS organization was last synced by Rutter.

platform_dataobjectOptional

The raw platform data corresponding to the Rutter object.

Endpoints
GET
/hris/organizations
GET
/hris/organizations/:id

List Organizations

GEThttps://production.rutterapi.com/versioned/hris/organizations

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

    cursorstringqueryOptional

    Used to paginate to the next batch of objects. Should be a copy of the next_cursor value from the previous response.

    limitintegerqueryOptional

    Used to limit the number of returned objects. Defaults to 50.

    sortstringqueryOptional

    Used to sort the response objects, e.g. last_synced_at ASC. If a value is provided but ASC or DESC is not, defaults to ASC. If omitted, defaults to updated_at DESC. Currently supports the updated_at and last_synced_at fields.

    expandarrayqueryOptional

    Include platform specific data (includes additional fields not provided by the Rutter object).

    One or more ofplatform_data.
    last_synced_at_minintegerqueryOptional

    Used to filter objects with a last_synced_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_maxintegerqueryOptional

    Used to filter objects with a updated_at value less than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_minintegerqueryOptional

    Used to filter objects with a updated_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Fetch an Organization

GEThttps://production.rutterapi.com/versioned/hris/organizations/:id

Request Parameters

    idstringpathRequired

    The unique ID of the object.

    access_tokenstringqueryRequired

    The access token of the connection.

    id_typeenumqueryOptional

    Used to indicate the type of id that is supplied. Defaults to rutter. Not currently supported on Sage Intacct or Sage Business Cloud.

    One ofrutter or platform.
    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

Have questions?

Contact support for personalized guidance.

Contact support